package com.company.embededbugdemo.entity

import io.jmix.core.entity.annotation.EmbeddedParameters
import io.jmix.core.entity.annotation.JmixGeneratedValue
import io.jmix.core.metamodel.annotation.JmixEntity
import jakarta.persistence.*
import java.util.*

@JmixEntity
@Table(name = "BUG")
@Entity
open class Bug {
    @JmixGeneratedValue
    @Column(name = "ID", nullable = false)
    @Id
    var id: UUID? = null

    @EmbeddedParameters(nullAllowed = false)
    @Embedded
    @AssociationOverrides(
        AssociationOverride(name = "user", joinColumns = JoinColumn(name = "EMBEDED_USER_ID"))
    )
    var embeded: SomeEmbededEntity? = null

}