package com.company.embededbugdemo.entity

import io.jmix.core.metamodel.annotation.JmixEntity
import jakarta.persistence.Embeddable
import jakarta.persistence.FetchType
import jakarta.persistence.JoinColumn
import jakarta.persistence.ManyToOne

@JmixEntity
@Embeddable
open class SomeEmbededEntity {
    @JoinColumn(name = "USER_ID")
    @ManyToOne(fetch = FetchType.LAZY)
    var user: User? = null
}